package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedChildbirth;
import com.huimv.farm.musk.breed.entity.BreedPregnant;
import com.huimv.farm.musk.breed.service.IBreedPregnantService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 孕检记录 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-pregnant")
@CrossOrigin
public class BreedPregnantController {
    @Autowired
    private IBreedPregnantService pregnantService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return pregnantService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedPregnant pregnant) {
        return pregnantService.add(pregnant);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedPregnant pregnant) {
        return pregnantService.edit(pregnant);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return pregnantService.remove(paramsMap);
    }
}
