package com.huimv.farm.musk.breed.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.farm.musk.breed.entity.BreedFeed;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.musk.entity.vo.DataVo;
import com.huimv.farm.musk.entity.vo.FeedDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 采食计量 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface BreedFeedMapper extends BaseMapper<BreedFeed> {

    List<FeedDataVo> listFeed(@Param(Constants.WRAPPER) QueryWrapper<BreedFeed> queryWrapper);
}
