package com.huimv.farm.musk.breed.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.farm.musk.breed.entity.BreedMuskStock;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.musk.breed.entity.vo.MuskStockVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 存栏统计 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface BreedMuskStockMapper extends BaseMapper<BreedMuskStock> {

    List<MuskStockVo> listScreen(@Param(Constants.WRAPPER) QueryWrapper<BreedMuskStock> queryWrapper);
}
