package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedBatch;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.breed.entity.BreedMuskInfo;
import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 编组管理 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-19
 */
public interface IBreedBatchService extends IService<BreedBatch> {

    Result listPage(Map<String, String> paramsMap);

    Result add(BreedBatch breedBatch);

    Result edit(BreedBatch breedBatch);

    Result remove(Map<String, String> paramsMap);
}
