package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedMuskInfo;
import com.huimv.farm.musk.breed.entity.BreedMuskStock;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 存栏统计 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IBreedMuskStockService extends IService<BreedMuskStock> {

    Result listPage(Map<String, String> paramsMap);

    Result listDetail(Map<String, String> paramsMap);

    Result edit(BreedMuskStock muskStock);

    Result remove(Map<String, String> paramsMap);


    //健康监测横栏
    Result listTop(Map<String, String> paramsMap);

    //大屏养殖档案横栏
    Result listStock(Map<String, String> paramsMap);
}
