package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedCure;
import com.huimv.farm.musk.breed.entity.BreedTupping;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 配种登记 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IBreedTuppingService extends IService<BreedTupping> {

    Result listPage(Map<String, String> paramsMap);

    Result add(BreedTupping tupping);

    Result edit(BreedTupping tupping);

    Result remove(Map<String, String> paramsMap);
}
