package com.huimv.farm.musk.health.controller;


import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.health.entity.HealthThreshold;
import com.huimv.farm.musk.health.service.IHealthThresholdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 健康阈值设置 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-03
 */
@RestController
@RequestMapping("/health-threshold")
@CrossOrigin
public class HealthThresholdController {
    @Autowired
    private IHealthThresholdService thresholdService;

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        return thresholdService.listThreshold(paramsMap);
    }

    @RequestMapping("/addOrEdit")
    public Result addOrEdit(@RequestBody HealthThreshold threshold) {
        return thresholdService.addOrEdit(threshold);
    }
}
