package com.huimv.farm.musk.service;

import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.entity.DevEnergy;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IDevEnergyService extends IService<DevEnergy> {

    Result pageEnergy(Map<String, Object> map);

    Result listEnergy(Map<String, String> map);

    Result listHistory(Map<String, String> paramsMap);

    Result listScreen(Map<String, String> paramsMap);

    //大屏物联监测的能耗监测
    Result listWeek(Map<String, String> paramsMap);

    //大屏物联监测能耗区域排名
    Result listRank(Map<String, String> paramsMap);
}
