package com.huimv.farm.musk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.entity.SysCamera;
import com.huimv.farm.musk.entity.vo.CameraListVo;
import com.huimv.farm.musk.entity.vo.CameraListsVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface ISysCameraService extends IService<SysCamera> {
    Result listPage(CameraListVo cameraListVo);

    List getCameraDetails(CameraListsVo cameraListsVo,Integer userId) throws InterruptedException;

    Result add(SysCamera camera);

    Result updates(SysCamera camera);

    List<String> listIds();

    Result listApp(CameraListVo cameraListVo, Integer userId);

    //大屏摄像头统计
    Result listAll(Map<String, String> paramsMap);
//    Result initCamera(Integer farmId, Integer userId);

    //摄像头导入
    Result importData(MultipartFile file);

}
