package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedChildbirth;
import com.huimv.farm.musk.breed.entity.BreedCure;
import com.huimv.farm.musk.breed.service.IBreedChildbirthService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 分娩情况 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-childbirth")
@CrossOrigin
public class BreedChildbirthController {
    @Autowired
    private IBreedChildbirthService childbirthService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return childbirthService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedChildbirth childbirth) {
        return childbirthService.add(childbirth);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedChildbirth childbirth) {
        return childbirthService.edit(childbirth);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return childbirthService.remove(paramsMap);
    }

}
