package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedFragrant;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.breed.service.IBreedFragrantService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 采香记录 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-fragrant")
@CrossOrigin
public class BreedFragrantController {
    @Autowired
    private IBreedFragrantService fragrantService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return fragrantService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedFragrant fragrant) {
        return fragrantService.add(fragrant);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedFragrant fragrant) {
        return fragrantService.edit(fragrant);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return fragrantService.remove(paramsMap);
    }

}
