package com.huimv.farm.musk.breed.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.farm.musk.breed.entity.BreedVaccination;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.musk.breed.entity.vo.VaccinationVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 疫苗接种 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface BreedVaccinationMapper extends BaseMapper<BreedVaccination> {

    List<VaccinationVo> listCount(@Param(Constants.WRAPPER) QueryWrapper<BreedVaccination> queryWrapper);
}
