package com.huimv.farm.musk.breed.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.farm.musk.breed.entity.MuskEarmark;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.musk.breed.entity.vo.EarmarkActVo;
import com.huimv.farm.musk.health.entity.HealthData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 保存耳标平台的耳标 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-09-03
 */
public interface MuskEarmarkMapper extends BaseMapper<MuskEarmark> {

    List<EarmarkActVo> listScreen(@Param(Constants.WRAPPER) QueryWrapper<HealthData> queryWrapper);
}
