package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedMedicine;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.breed.entity.BreedVaccination;

import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 群体用药登记 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IBreedMedicineService extends IService<BreedMedicine> {
    Result listPage(Map<String, String> paramsMap);

    Result add(BreedMedicine medicine);

    Result edit(BreedMedicine medicine);

    Result remove(Map<String, String> paramsMap);
}
