package com.huimv.farm.musk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 功能点
 * </p>
 *
 * @author author
 * @since 2024-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_camera_function")
public class SysCameraFunction implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 功能点名称（摄像头名称）
     */
    private String functionName;

    /**
     * 摄像头id
     */
    private Integer cameraId;

    /**
     * 摄像头ip
     */
    private String cameraIp;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 父级id
     */
    private Integer parentId;

    /**
     * 1为功能点 2为摄像头
     */
    private Integer fType;


}
