package com.huimv.farm.musk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.entity.BaseBuilding;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-08-15
 */
public interface IBaseBuildingService extends IService<BaseBuilding> {

    Result addBuilding(Map<String,String> map);

    Result updateBuilding(Map<String,String> map);

    Result deleteBuilding(Map<String, Integer> map);

    //给其他地方使用的栋舍列表
    Result listBuilding(Map<String, String> map);

    Result listTreeBuilding(Map<String, String> map);

    List<BaseBuilding> listUnit();

    //app使用
    Result listTreeBuilding2(Map<String, String> map);
}
