package com.huimv.farm.musk.timer;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.breed.entity.BreedMuskInfo;
import com.huimv.farm.musk.breed.service.IBreedMuskInfoService;
import com.huimv.farm.musk.breed.service.IBreedMuskStockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
@EnableScheduling
public class UpdateStock {

    @Autowired
    private IBreedMuskStockService stockService;
    @Autowired
    private IBreedMuskInfoService muskInfoService;
    @Scheduled(cron = "0 0 23 * * ?")
    private void setDayAge(){
        QueryWrapper<BreedMuskInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("is_leave", 0).eq("farm_id", 330110007);
        List<BreedMuskInfo> muskInfos = muskInfoService.list(queryWrapper);
        Integer maleCount = 0;
        Integer femaleCount = 0;
        Integer youngCount = 0;
        for (BreedMuskInfo muskInfo : muskInfos) {
            if (muskInfo.getStage() == 1) {
                youngCount = youngCount + 1;
            }

        }
    }
}
